Subject: [MMUSIC] Simulcast and 5576 source attributes?

From: Jonathan Lennox <[email-masked]>
Date: Thu, 9 Nov 2017 17:25:23 -0500

The latest Simulcast draft (draft-ietf-mmusic-sdp-simulcast-10) has a paragraph at the end of Section 5.1 that says:

   It is possible to use source-specific signaling [RFC5576] with
   "a=simulcast", but it is only in certain cases possible to learn from
   that signaling which SSRC will belong to a particular simulcast
   stream.

However, there’s no other mention of 5576 in the document, and no registration of any 5576-style source-specific attributes.

What are the “certain cases”? It’s not clear to me there’s any way for the currently-registered 5576 attributes to tell you which SSRC corresponds to which simulcast stream, prior to receiving RID in RTCP or header extensions.  (Notably, there’s no rid source attribute.)

---

From: Bo Burman <[email-masked]>
Date: Mon, 13 Nov 2017 03:49:23 +0000

One "certain case" is when using a 1:1 mapping of rid-id and RTP PT, in combination with a 1:1 mapping of SSRC and RTP PT. This would e.g. be:
a=rid:<rid-id1> pt=<pt1>
a=ssrc:<ssrc1> fmtp:<pt1>
a=rid:<rid-id2> pt=<pt2>
a=ssrc:<ssrc2> fmtp:<pt2>
a=simulcast:send 1,2

This way, ssrc1 can be known to use rid-id1 and ssrc2 rid-id2, via knowledge what RTP PT they use. Therefore, which simulcast stream uses which SSRC is also known.

Cheers
Bo
(as individual)

-------- Original Message --------
Subject: [MMUSIC] Simulcast and 5576 source attributes?
From: Jonathan Lennox <[email-masked]>
Date: 9 nov. 2017 15:25
To: mmusic <[email-masked]>

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Jonathan Lennox <[email-masked]>
Date: Mon, 13 Nov 2017 14:49:01 +0800

a=ssrc:<ssrc> fmtp:<pt> doesn’t constrain what payload types the SSRC can use; it just gives additional format parameters for that payload type as applied to that SSRC.  (The motivating use case was H.264 sprop- parameters.)  

> On Nov 13, 2017, at 11:49 AM, Bo Burman <[email-masked]> wrote:
> 
> From: Jonathan Lennox <[email-masked] <mailto:[email-masked]>>
> Date: 9 nov. 2017 15:25
> To: mmusic <[email-masked] <mailto:[email-masked]>>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/mmusic <https://www.ietf.org/mailman/listinfo/mmusic>

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 13 Nov 2017 12:40:49 -0500

On 11/12/17 10:49 PM, Bo Burman wrote:
> One "certain case" is when using a 1:1 mapping of rid-id and RTP PT, in 
> combination with a 1:1 mapping of SSRC and RTP PT. This would e.g. be:
> a=rid:<rid-id1> pt=<pt1>
> This way, ssrc1 can be known to use rid-id1 and ssrc2 rid-id2, via 
> knowledge what RTP PT they use. Therefore, which simulcast stream uses 
> which SSRC is also known.

I'm scratching my head trying to figure out how any of this would be 
helpful in practice. I'm coming up dry. Anything that simply allows you 
to figure out something in the limited case where the other side uses a 
particular subset of features in coordination can't be relied upon 
because you don't know that the situation will arise when you need it.

	Thanks,
	Paul

> The latest Simulcast draft (draft-ietf-mmusic-sdp-simulcast-10) has a 
> paragraph at the end of Section 5.1 that says:
> 
> However, there’s no other mention of 5576 in the document, and no 
> registration of any 5576-style source-specific attributes.
> 
> What are the “certain cases”? It’s not clear to me there’s any way for 
> the currently-registered 5576 attributes to tell you which SSRC 
> corresponds to which simulcast stream, prior to receiving RID in RTCP or 
> header extensions.  (Notably, there’s no rid source attribute.)
> 
>

---

From: Roni Even <[email-masked]>
Date: Tue, 14 Nov 2017 03:37:21 +0000

Hi,

The text in 06 was " It is possible, but not required to use source-specific signaling

      [RFC5576] with the proposed solution."

I made the comment at the time about identifying which SSRC is related to each simulcast stream. The current text tried to address my comment in 07

I agree with Jonathan here.   Note the SSRC may change in the RTP due to collision for example.

BTW:  repeating myself, this is what we tried to address in https://tools.ietf.org/html/draft-even-mmusic-application-token-03  see section 5

Roni

From: mmusic [mailto:[email-masked]] On Behalf Of Jonathan Lennox
Sent: יום ב 13 נובמבר 2017 08:49
To: Bo Burman
Cc: mmusic
Subject: Re: [MMUSIC] Simulcast and 5576 source attributes?

On Nov 13, 2017, at 11:49 AM, Bo Burman <[email-masked]<mailto:[email-masked]>> wrote:

Cheers
Bo
(as individual)

-------- Original Message --------
Subject: [MMUSIC] Simulcast and 5576 source attributes?
From: Jonathan Lennox <[email-masked]<mailto:[email-masked]>>
Date: 9 nov. 2017 15:25
To: mmusic <[email-masked]<mailto:[email-masked]>>

_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic